#!/bin/sh
#
# Stop Server
#

OPERATING_SYSTEM=`uname -s`
SERVER_JAVA_CLASS=esac.archive.npsa.dl.ingestion.IngestionServer
RELEASE_JAR_FILE=npsa-ingestion-0.2.oper(5.0-RC2).jar

if [ "$OPERATING_SYSTEM" = "Linux" ]
then
  PS_COMMAND="/bin/ps "
else
  PS_COMMAND="/usr/ucb/ps "
fi

echo Stopping $SERVER_JAVA_CLASS ...

pid=`$PS_COMMAND auxww | egrep $SERVER_JAVA_CLASS | egrep $RELEASE_JAR_FILE | egrep -v grep | /usr/bin/awk '{printf("%s ", $2)}'`
kill $pid

echo $SERVER_JAVA_CLASS NPSA Ingestion Server Stopped
